# std::_FunBase< _Dom, _Arg > Class Template Reference

Inheritance diagram for std::_FunBase< _Dom, _Arg >:

List of all members.

## Detailed Description

### template<typename _Dom, typename _Arg>
class std::_FunBase< _Dom, _Arg >

Definition at line 407 of file valarray_before.h.

## Public Types

- typedef _Dom::value_type value_type

## Public Member Functions

- _FunBase (const _Dom &__e, value_type __f(_Arg))
- value_type operator[] (size_t __i) const
- size_t size () const

The documentation for this class was generated from the following file:

- valarray_before.h